#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/WEBMAIL_IMAP_AUTH.sh
#
# Copyright (c) 2010 the eisfair team, team(at)eisfair(dot)org>
#
# Creation:     2010-02-15  jed
# Last Update:  $Id: WEBMAIL_IMAP_AUTH.sh 23092 2010-02-15 18:22:46Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="$p2"

    sellist="digest,md5,login"
    ece_select_list_dlg "${win}" "IMAP authentication" "${sellist}"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
